describe('Felhasználó login teszt', () => {
  beforeEach('',()=>{
    cy.visit('http://localhost:5173')
    cy.wait(3000)
  })

  it('Felhasználó belépésének tesztje',()=>{
    cy.get('#root > div > div.flex.p-2.justify-between.items-center.border-b.border-gray-300.flex-wrap > div.flex.items-center.gap-6 > a:nth-child(2)').should('have.text','Belépés').click()
    cy.wait(3000)
    cy.get('#email').type('vassgeza@gmail.com')
    cy.get('#password').type('VAssgeza')
    cy.get('#root > div > div:nth-child(2) > div > div > div:nth-child(5) > button').should('have.text','Bejelentkezés').click()
    cy.wait(3000)
    cy.get('#root > div > div.p-40.flex.justify-center > div > a:nth-child(1) > button').should('contains.text','Könyvek adminisztrálás').click()
    cy.wait(3000)
    cy.get('#root > div > div.flex.p-2.justify-between.items-center.border-b.border-gray-300.flex-wrap > div.flex.items-center.gap-6 > a:nth-child(4)').should('contains.text','Kilépés').click()
    
  })
  
})